<?xml version='1.0' encoding='UTF-8'?>
<!--
  ~ Copyright (c) DbVis Software AB. All Rights Reserved.
  -->
<sql:Dialect tag="snowflake" xmlns:sql="http://dbvis.com/sql-dialect.xsd" comment="Uses text quoting in code blocks"
   references="
   https://docs.snowflake.com/en/sql-reference-commands.html
   https://docs.snowflake.com/en/sql-reference/sql/create-procedure.html
   https://docs.snowflake.com/en/sql-reference/sql/create-function.html
   ">
   
   <sql:Text begin="$$" end="$$" comment="Alternative string literal quoting" />
   <sql:Text begin="`" end="`" comment="Alternative string literal quoting" />
   
   <sql:ComplexStatement begin="CREATE [ OR REPLACE ] [SECURE] FUNCTION" end="" end.override="false" />
   <sql:ComplexStatement begin="CREATE [ OR REPLACE ] { TASK | PROCEDURE }" end="" end.override="false" />
   
</sql:Dialect>